プロジェクト

全般

プロフィール

Defect #1284

Problem due to interaction with Wiki Template plugin

Stéphane Briand4年以上前に追加. 約4年前に更新.

ステータス:
解決(Resolved)
優先度:
通常(Normal)
担当者:
対象バージョン:
開始日:
2013/09/26
期日:
進捗率:

100%

予定工数:

説明

具体的な再現方法
What steps will reproduce the problem?

Install the plugin Wiki template
Activate wiki extension module, as well as wiki template module.
Edit a wiki page.

Error page appears.

期待する結果と実際の結果
What is the expected output? What do you see instead?

Should be able to select a wiki template, and edit the wiki page content.

下記コマンドの実行結果を教えてください。
Please give us a result of following command.

% ruby script/about
Environment:
  Redmine version                2.3.3.devel
  Ruby version                   1.9.3-p392 (2013-02-22) [i386-mingw32]
  Rails version                  3.2.13
  Environment                    production
  Database adapter               Mysql2
SCM:
  Git                            1.8.1
  Filesystem
Redmine plugins:
  redmine_gsc_plantillas         0.1.0
  redmine_issue_checklist        2.0.5
  redmine_wiki_extensions        0.6.4
  redmine_wiki_issue_fields      0.4.1

Please provide any additional information below.

I found a way to turn around this issue. In file wiki_extensions_wiki_controller_patch.rb, line 47, I changed :

if (args[:partial] == 'common/preview')

to

if (args.class == Hash) and (args.has_key?:partial) and (args[:partial] == 'common/preview')

Actually, the type of args, is sometime a hash, sometime a string.

関係しているリビジョン

リビジョン 4434f876 (差分)
Haru Iida約4年前に追加

fixes #1284 conflict with template plugin.

履歴

#1 Haru Iida約4年前に更新

  • プロジェクトr-labs から Wiki Extensions に変更
  • 担当者Haru Iida にセット
  • 対象バージョン0.6.5 にセット

Sorry for my late answer. I did't notice this issue until now.
I will fix soon.

#2 Haru Iida約4年前に更新

  • ステータス新規(New) から 解決(Resolved) に変更
  • 進捗率0 から 100 に変更

更新履歴 commit:ac08cf5b7e74 で適用されました。

他の形式にエクスポート: Atom PDF